Bug 161944 - i82365 module (still) broken
i82365 module (still) broken
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: 161948 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-06-28 13:09 EDT by Adrian McMenamin
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-08 13:35:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adrian McMenamin 2005-06-28 13:09:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-1.3.1

Description of problem:
This module is still broken - this was flagged in FC3 - so this is just a reminder.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. modprobe i82365 or similar

Actual Results:  As reported in bug 139246

Device 'i823650' does not have a release() function, it is broken and
must be fixed.
Badness in device_release at drivers/base/core.c:85
 [<021db284>] kobject_cleanup+0x40/0x60
 [<021db2a4>] kobject_release+0x0/0x8
 [<021db55b>] kref_put+0x41/0x46
 [<0a9ebde3>] init_i82365+0x6c/0x19e [i82365]
 [<0213ba4a>] sys_init_module+0x207/0x2ef

Expected Results:  Should seemlesslyy insert into kernel

Additional info:

I know it's a pretty old piece of kit, but my set up depends on it :(
Comment 1 Adrian McMenamin 2005-06-29 06:30:30 EDT
*** Bug 161948 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2005-07-15 17:40:45 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak

Thank you.
Comment 3 Dave Jones 2005-11-10 15:18:59 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 John W. Linville 2005-12-08 13:35:53 EST
Closed due to lack of response.  Please reopen when the requested information  
becomes available...thanks! 

Note You need to log in before you can comment on or make changes to this bug.